/****************************************************************************
** $Id: qsscripter.cpp  beta4   edited Apr 15 20:04 $
**
** Definition of the QSScripter class.
**
** Copyright (C) 2001-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qt Script for Applications framework (QSA).
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding a valid QSA Beta Evaluation Version license may use
** this file in accordance with the QSA Beta Evaluation Version License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about QSA Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
*****************************************************************************/

#include "qsscripter.h"
#include "idewindow.h"

class QSScripterPrivate
{
public:
    IdeWindow *ideWindow;
};

QSScripter::QSScripter( QSProject *project, QWidget *parent, const char *name )
    : d( new QSScripterPrivate() )
{
    d->ideWindow = new IdeWindow( parent, name );
    d->ideWindow->setProject( project );
}

QSScripter::~QSScripter()
{
    delete d;
}

void QSScripter::show()
{
    d->ideWindow->show();
}

void QSScripter::hide()
{
    d->ideWindow->hide();
}
