TEMPLATE	= lib
CONFIG		+= qt warn_on dll link_prl
TARGET 		= qsa
VERSION  	= 1.0.0
DESTDIR		= $$(QTDIR)/lib
DLLDESTDIR	= $$(QTDIR)/bin

HEADERS		= \
		  qsproject.h \
		  qsinterpreter.h \
		  qsobjectfactory.h \
		  qswrapperfactory.h \
		  qsinterfacefactory_p.h \
		  qseditor.h \
		  qsinputdialogfactory.h \
		  qsargument.h \
                  qsscript.h

SOURCES		= \
		  qsproject.cpp \
		  qsinterpreter.cpp \
		  qsobjectfactory.cpp \
		  qswrapperfactory.cpp \
		  qsinterfacefactory.cpp \
		  qsinputdialogfactory.cpp \
		  qseditor.cpp \
		  qsargument.cpp \
                  qsscript.cpp

win32:DEFINES	+= QSA_DLL
win32:DEFINES	+= QUICKCORE_DLL

# I think this belongs here
isEmpty(QT_SOURCE_TREE):QT_SOURCE_TREE=$(QTDIR)
isEmpty(QT_INSTALL_PREFIX):QT_INSTALL_PREFIX=$(QTDIR)

INCLUDEPATH	+= ../engine \
		   $$QT_SOURCE_TREE/tools/designer/editor \
		   ../../tools/designer/editor \
		   ../kernel \
		    . 

DEFINES += HAVE_CONFIG_H QSDEBUGGER
DEFINES += QT_INTERNAL_XML
DEFINES += QT_INTERNAL_WORKSPACE
DEFINES += QT_INTERNAL_ICONVIEW
DEFINES += QT_INTERNAL_TABLE
win32-msvc.net:DEFINES+=Q_TEMPLATE_EXTERN=extern

LIBS += -L$${QT_INSTALL_PREFIX}/lib
unix {
	!hpux-acc:LIBS += -leditor -lqui
	hpux-acc:LIBS += -Wl,-a,default -leditor
}	

win32:LIBS += -leditor

KERNELDIR = ../kernel
EDITORDIR = ../editor
IDEDIR = ../ide

include( ../kernel/kernel.pri )
include( ../editor/editor.pri )
include( ../ide/ide.pri )
